package com.tuoheng.admin.enums.code.accident;

/**
 * 添加事故信息返回码
 *
 * @author xiaoying
 * @team tuoheng
 * @date 2023-04-17
 */
public enum AddAccidentEnum {

    ACCIDENT_ID_IS_FAILED(16999, "事故id不能为空"),
    ADD_IS_FAILED(17000, "添加事故失败"),
    AIRPORT_IS_FAILED(17001, "机场id不存在"),
    DSP_IS_FAILED(17002, "算法实例id不存在"),
    LEG_IS_FAILED(17003, "航段id不存在"),
    LIST_IS_FAILED(17005, "坐标集合为空"),
    CHANNEL_IS_FAILED(17004, "航道id不存在");

    /**
     * 错误码
     */
    private int code;
    /**
     * 错误信息
     */
    private String msg;

    AddAccidentEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }


}
